Page MenuHomePhabricator

Set $wgCategoryCollation for Serbian Wikimedia projects
Closed, ResolvedPublic

Description

Please set $wgCategoryCollation for all Serbian language Wikimedia projects (srw* + rswikimedia) to uca-sr.

Event Timeline

dungodung updated the task description. (Show Details)
dungodung raised the priority of this task from to Needs Triage.
dungodung added a subscriber: dungodung.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 18 2015, 9:24 AM

Please post about this change on the relevant wikis.

Hi @dungodung. For any configuration change, we require a local consensus.
For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes and feel free to forward that link to others who may want similar changes made in the future. Thanks!

Honestly, I thought we wouldn't need such bureaucracy for such a non-controversial change, but here it is:

The conversation on srwikipedia which actually sparked this request is here

rs.wikimedia.org is not a project with community, but rather a chapter wiki, so no discussion is generally required (I'm the chapter president and bureaucrat on the wiki).

Hope this is alright.

Seems like there's no opposition on any of the projects regarding this. Can we more forward with it, please?

Glaisher added a comment.EditedNov 2 2015, 11:58 AM

Should be easy to do this for the smaller wikis but we might want to do the update for Wikipedia separately as it looks like the script is very slow (T58041) on large wikis (srwiki has ~ 1.2 million pages).

Glaisher set Security to None.

Change 250401 had a related patch set uploaded (by Glaisher):
Set $wgCategoryCollation to uca-sr at srprojects (-wikipedia, wiktionary)

https://gerrit.wikimedia.org/r/250401

Change 250401 merged by jenkins-bot:
Set $wgCategoryCollation to uca-sr at srprojects (-wikipedia, wiktionary)

https://gerrit.wikimedia.org/r/250401

From what I remember from past collation changes, Wiktionary with 50k should be safe too. Wikipedia with 1M should be manageable (we managed to change the collation at pl.wp and fr.wp without major problems, and they're bigger), but we should get Jaime to give his blessing and watch the situation.

So it has been now changed for Wikibooks, Wikiquote, Wikisource, and Wikinews and the update script has also been completed. I'll try to get the other wikis done some time later.

From what I remember from past collation changes, Wiktionary with 50k should be safe too. Wikipedia with 1M should be manageable (we managed to change the collation at pl.wp and fr.wp without major problems, and they're bigger), but we should get Jaime to give his blessing and watch the situation.

It took about 10 minutes to get it done on srwikinews which is larger than srwiktionary so we could get it done on Wiktionary also without much difficulty.

Please ping me before touching srwiki so I can heat the indexes on the slaves to minimize the lag. It has 1.5 million entries.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 9 2015, 10:55 AM
Luke081515 triaged this task as Normal priority.Nov 9 2015, 10:58 AM

Change 253903 had a related patch set uploaded (by Glaisher):
Set $wgCategoryCollation to 'uca-sr' at srwiki and srwiktionary

https://gerrit.wikimedia.org/r/253903

Change 253903 merged by jenkins-bot:
Set $wgCategoryCollation to 'uca-sr' at srwiki and srwiktionary

https://gerrit.wikimedia.org/r/253903

Dereckson added a subscriber: Dereckson.EditedNov 18 2015, 8:56 PM

@jcrespo ping: the change has been deployed, and we need to run the maintenance script

Glaisher closed this task as Resolved.Nov 19 2015, 4:04 AM
Glaisher claimed this task.

@Dereckson jcrespo was around when the script was run. The script was also run after the config change.

16:16 thcipriani: updateCollation.php for srwiktionary complete 82713 rows processed
17:07 thcipriani: updateCollation.php for srwiki 1670608 rows processed
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 3 2016, 3:10 PM
Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptJan 2 2019, 3:15 PM